## Create Waiting Room Rule `client.waitingRooms.rules.create(stringwaitingRoomId, RuleCreateParamsparams, RequestOptionsoptions?): SinglePage` **post** `/zones/{zone_id}/waiting_rooms/{waiting_room_id}/rules` Only available for the Waiting Room Advanced subscription. Creates a rule for a waiting room. ### Parameters - `waitingRoomId: string` - `params: RuleCreateParams` - `zone_id: string` Path param: Identifier. - `rules: Rules` Body param - `action: "bypass_waiting_room"` The action to take when the expression matches. - `"bypass_waiting_room"` - `expression: string` Criteria defining when there is a match for the current rule. - `description?: string` The description of the rule. - `enabled?: boolean` When set to true, the rule is enabled. ### Returns - `WaitingRoomRule` - `id?: string` The ID of the rule. - `action?: "bypass_waiting_room"` The action to take when the expression matches. - `"bypass_waiting_room"` - `description?: string` The description of the rule. - `enabled?: boolean` When set to true, the rule is enabled. - `expression?: string` Criteria defining when there is a match for the current rule. - `last_updated?: string` - `version?: string` The version of the rule. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const waitingRoomRule of client.waitingRooms.rules.create( '699d98642c564d2e855e9661899b7252', { zone_id: '023e105f4ecef8ad9ca31a8372d0c353', rules: { action: 'bypass_waiting_room', expression: 'ip.src in {10.20.30.40}' }, }, )) { console.log(waitingRoomRule.id); } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": [ { "id": "25756b2dfe6e378a06b033b670413757", "action": "bypass_waiting_room", "description": "allow all traffic from 10.20.30.40", "enabled": true, "expression": "ip.src in {10.20.30.40}", "last_updated": "2014-01-01T05:20:00.12345Z", "version": "1" } ], "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000 } } ```